Bug 15768 - koha-news.pl Deep Recursion ERROR
Summary: koha-news.pl Deep Recursion ERROR
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All Linux
: P1 - high normal (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-09 13:20 UTC by Humberto Blanco
Modified: 2016-12-05 21:23 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Humberto Blanco 2016-02-09 13:20:19 UTC
When i try to create news, appaears apache 500 Error. In the log i can see

AH00124: Request exceeded the limit of 10 internal redirects due to probable configuration error. Use 'LimitInternalRecursion' to increase the limit if necessary. Use 'LogLevel debug' to get a backtrace., referer: http://XX:XX.XX.XX:8080/cgi-bin/koha/tools/koha-news.pl

I adjust the virtual host width LimitInternalRecursion 2000  but the create the same news multiple times and in the error log appears

Deep recursion on subroutine "ModPerl::RegistryCooker::default_handler" at /usr/lib/x86_64-linux-gnu/perl5/5.20/ModPerl/Registry.pm line 32.\n, referer: http://XX.XX.XX.XX:8080/cgi-bin/koha/tools/koha-news.pl?op=add_form&lang=

I really appreciate your help
Comment 1 Liz Rea 2016-02-09 20:33:43 UTC
Hi Humberto,

Are you using Koha with a translation installed? If so, which one?

What are the exact parameters of the news item you are adding (i.e. the vaules in all of the form fields)?

Cheers,
Liz
Comment 2 Jonathan Druart 2016-02-15 17:35:50 UTC
Humberto,
Could you give us more details please?
Comment 3 Humberto Blanco 2016-02-16 12:26:32 UTC
after adjust the environment variable sql_mode, works fine.

the version of mysql is 5.27
Comment 4 Humberto Blanco 2016-02-25 17:50:57 UTC
(In reply to Liz Rea from comment #1)
> Hi Humberto,
> 
> Are you using Koha with a translation installed? If so, which one?
> 
> What are the exact parameters of the news item you are adding (i.e. the
> vaules in all of the form fields)?
> 
> Cheers,
> Liz

Dear Liz, 
Now the error appears when  suggestion status, i used es-ES language

Humberto.
Comment 5 Humberto Blanco 2016-02-25 17:56:19 UTC
if use english interface has the same eror
Comment 6 Humberto Blanco 2016-02-26 13:01:38 UTC
(In reply to Liz Rea from comment #1)
> Hi Humberto,
> 
> Are you using Koha with a translation installed? If so, which one?
> 
> What are the exact parameters of the news item you are adding (i.e. the
> vaules in all of the form fields)?
> 
> Cheers,
> Liz

Dear Liz, 
I reviewed sql log and for the same news there are 11 inserts if you see all orders in the columns value are diferent.

INSERT INTO opac_news ( title,timestamp,branchcode,new,borrowernumber,expirationdate,number,lang ) VALUES ( 'aa','2016-02-26',NULL,'<p>aa</p>','30981','2016-02-27','1','' )
INSERT INTO opac_news ( borrowernumber,expirationdate,number,lang,new,branchcode,timestamp,title ) VALUES ( '30981','2016-02-27','1','','<p>aa</p>',NULL,'2016-02-26','aa' )
INSERT INTO opac_news ( new,branchcode,number,lang,expirationdate,borrowernumber,timestamp,title ) VALUES ( '<p>aa</p>',NULL,'1','','2016-02-27','30981','2016-02-26','aa' )
INSERT INTO opac_news ( borrowernumber,number,lang,expirationdate,branchcode,new,title,timestamp ) VALUES ( '30981','1','','2016-02-27',NULL,'<p>aa</p>','aa','2016-02-26' )
INSERT INTO opac_news ( timestamp,title,branchcode,new,number,lang,expirationdate,borrowernumber ) VALUES ( '2016-02-26','aa',NULL,'<p>aa</p>','1','','2016-02-27','30981' )
INSERT INTO opac_news ( title,timestamp,borrowernumber,expirationdate,number,lang,branchcode,new ) VALUES ( 'aa','2016-02-26','30981','2016-02-27','1','',NULL,'<p>aa</p>' )
INSERT INTO opac_news ( timestamp,title,borrowernumber,expirationdate,number,lang,branchcode,new ) VALUES ( '2016-02-26','aa','30981','2016-02-27','1','',NULL,'<p>aa</p>' )
INSERT INTO opac_news ( timestamp,title,new,branchcode,number,lang,expirationdate,borrowernumber ) VALUES ( '2016-02-26','aa','<p>aa</p>',NULL,'1','','2016-02-27','30981' )
INSERT INTO opac_news ( branchcode,new,number,lang,expirationdate,borrowernumber,timestamp,title ) VALUES ( NULL,'<p>aa</p>','1','','2016-02-27','30981','2016-02-26','aa' )
INSERT INTO opac_news ( borrowernumber,number,lang,expirationdate,branchcode,new,title,timestamp ) VALUES ( '30981','1','','2016-02-27',NULL,'<p>aa</p>','aa','2016-02-26' )
INSERT INTO opac_news ( title,timestamp,borrowernumber,expirationdate,number,lang,new,branchcode ) VALUES ( 'aa','2016-02-26','30981','2016-02-27','1','','<p>aa</p>',NULL )

i think that maybe the number of branches can affect the results but have 13 branches and in all cases the branch is null.

Any idea??, Thanks

Humberto,
Comment 7 Jonathan Druart 2016-03-02 07:29:10 UTC
Humberto,
The message says you are using mod_perl. Try in CGI mode or with Plack.
Lowering the severity to normal.
Comment 8 Humberto Blanco 2016-03-07 20:12:14 UTC
(In reply to Jonathan Druart from comment #7)
> Humberto,
> The message says you are using mod_perl. Try in CGI mode or with Plack.
> Lowering the severity to normal.

Thanks Jonathan, 
Now all still working well. 
I tried  mod_perl because CGI mode causes high load in the server. But, thanks now i can solve some other issues like errors when change suggestion status.

Have a nice day

Humberto,